Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596298 - HP LaserJet 8150 media limits wrong
HP LaserJet 8150 media limits wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 10:41 EDT by Tom Horsley
Modified: 2010-09-15 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: hplip-3.10.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 00:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified hp-laserjet_8150_mfp-ps.ppd (302.19 KB, text/plain)
2010-05-28 07:21 EDT, Jiri Popelka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 589719 None None None Never

  None (edit)
Description Tom Horsley 2010-05-26 10:41:40 EDT
Description of problem:

Configuring a network HP LaserJet 8150DN printer at work, the fedora 13
default choice for a driver was:

HP LaserJet 8150 Series Postscript (recommended)

The test page that prints has no black border and the test output claims
the media limits are 1x1 to 214x277 millimeters (which is awful close to the
edges of the page).

Switching to the HP LaserJet 8150 Foomatic/Postscript driver
gives me a normal black border around the test page and says the
media limits are 6x13 to 210x267 millimeters (which is more believable).


Version-Release number of selected component (if applicable):
cups-1.4.3-6.fc13.x86_64
system-config-printer-1.2.1-1.fc13.x86_64

How reproducible:
No reason to think it wouldn't happen every time

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
printout expanded, border clipped off

Expected results:
border printed on the page

Additional info:
Comment 1 Tim Waugh 2010-05-27 04:53:35 EDT
This driver is /usr/share/ppd/HP/hp-laserjet_8150_mfp-ps.ppd.gz, which comes from the hpijs binary package, built from the hplip source package.  Changing component.
Comment 2 Jiri Popelka 2010-05-28 07:21:51 EDT
Created attachment 417572 [details]
modified hp-laserjet_8150_mfp-ps.ppd

Can you try this PPD?

In system-config-printer open properties of that printer.
Press 'Change..' to change Make and Model.
Select 'Provide PPD file' and use this attached one.
Comment 3 Tom Horsley 2010-05-28 08:25:55 EDT
I'll give it a try when I get back to work on Tuesday, so it will be a few
days.
Comment 4 Tom Horsley 2010-06-01 08:10:58 EDT
I'm looking at the test page now, and it printed fine. The border is back and it fits on the page.

The only thing strange is Driver Version is reported as PPD-VERSION-STRING
(but actually, looking at the original test printout with the missing
border, I see the same version description).
Comment 5 Jiri Popelka 2010-06-04 05:32:00 EDT
Can you try new hplip build ?
http://koji.fedoraproject.org/koji/buildinfo?buildID=176434

Download all x86_64 packages and install them
su -c  'yum --nogpgcheck localupdate hp*.rpm'

Then configure printer queue with
'HP LaserJet 8150 Series Postscript (recommended)'
driver.
 Thanks
Comment 6 Tom Horsley 2010-06-04 08:38:17 EDT
Installed all the new packages, deleted and re-created the printer from scratch,
and it seem to work. The test output does indeed print the black border, and
it gets closer to the edge than before, so it seems to have a better idea
of the actual media limits of the printer. It still says "PPD-VERSION-STRING"
on the test printout page though instead of printing an actual Driver Version.
Comment 7 Fedora Update System 2010-07-27 07:13:37 EDT
hplip-3.10.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hplip-3.10.6-1.fc13
Comment 8 Fedora Update System 2010-07-27 07:22:35 EDT
hplip-3.10.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/hplip-3.10.6-1.fc12
Comment 9 Fedora Update System 2010-07-30 04:35:19 EDT
hplip-3.10.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hplip-3.10.6-1.fc12
Comment 10 Fedora Update System 2010-07-30 04:42:19 EDT
hplip-3.10.6-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hplip-3.10.6-1.fc13
Comment 11 Fedora Update System 2010-08-25 07:38:48 EDT
hplip-3.10.6-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/hplip-3.10.6-3.fc14
Comment 12 Fedora Update System 2010-09-14 00:57:39 EDT
hplip-3.10.6-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-09-15 01:28:42 EDT
hplip-3.10.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-09-15 01:46:59 EDT
hplip-3.10.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.